<?php
function _coreUpdate()
{
	global $objDatabase, $_CONFIG, $objUpdate, $_ARRAYLANG, $_DBCONFIG, $_CORELANG;

	$query = "SELECT `id` FROM `".DBPREFIX."languages` WHERE `charset` != 'UTF-8'";
	$objLanguage = $objDatabase->Execute($query);
	if ($objLanguage !== false) {
		while (!$objLanguage->EOF) {
			$query = "UPDATE `".DBPREFIX."languages` SET `charset` = 'UTF-8' WHERE `id`=".$objLanguage->fields['id'];
			if ($objDatabase->Execute($query) === false) {
				return _databaseError($query, $objDatabase->ErrorMsg());
			}
			$objLanguage->MoveNext();
		}
	} else {
		return _databaseError($query, $objDatabase->ErrorMsg());
	}


	$query = "SELECT `catid` FROM `".DBPREFIX."content_navigation`";
	$objContentNavigation = $objDatabase->Execute($query);
	if ($objContentNavigation !== false) {
		$arrContentSiteIds = array();
		while (!$objContentNavigation->EOF) {
			array_push($arrContentSiteIds, $objContentNavigation->fields['catid']);
			$objContentNavigation->MoveNext();
		}

		$query = "DELETE FROM `".DBPREFIX."content` WHERE `id` != ".implode(' AND `id` != ', $arrContentSiteIds);
		if ($objDatabase->Execute($query) === false) {
			return _databaseError($query, $objDatabase->ErrorMsg());
		}
	} else {
		return _databaseError($query, $objDatabase->ErrorMsg());
	}

	$query = "SELECT `group_id` FROM `".DBPREFIX."access_group_static_ids` WHERE `access_id` = '5' GROUP BY `group_id`";
	$objGroup = $objDatabase->Execute($query);
	if ($objGroup !== false) {
		while (!$objGroup->EOF) {
			$query = "INSERT INTO `".DBPREFIX."access_group_static_ids` (`access_id`, `group_id`) VALUES ('127', '".$objGroup->fields['group_id']."')";
			if ($objDatabase->Execute($query) === false) {
				return _databaseError($query, $objDatabase->ErrorMsg());
			}
			$objGroup->MoveNext();
		}
	} else {
		return _databaseError($query, $objDatabase->ErrorMsg());
	}

	return true;
}

function _writeNewConfigurationFile($setDbCharset = false)
{
	global $_CORELANG, $_ARRAYLANG, $_DBCONFIG, $_PATHCONFIG, $_FTPCONFIG, $_CONFIGURATION;

	$ftpStatus = $_FTPCONFIG['is_activated'] ? 'true' : 'false';
	$ftpUsePassive = $_FTPCONFIG['use_passive'] ? 'true' : 'false';
	$shopJsCart = !empty($_CONFIGURATION['custom']['shopJsCart']) && $_CONFIGURATION['custom']['shopJsCart'] ? 'true' : 'false';
	$shopnavbar = !empty($_CONFIGURATION['custom']['shopnavbar']) && $_CONFIGURATION['custom']['shopnavbar'] ? 'true' : 'false';
	$dbCharset = ($setDbCharset && UPDATE_UTF8) ? 'utf8' : (!empty($_DBCONFIG['charset']) ? $_DBCONFIG['charset'] : '');
	$charset = UPDATE_UTF8 ? 'UTF-8' : 'ISO-8859-1';

	$_FTPCONFIG['port'] = intval($_FTPCONFIG['port']);

	$configurationTpl = <<<CONFIG_TPL
<?php
/**
* @exclude
*
* Contrexx CMS Web Installer
* Please use the Contrexx CMS installer to configure this file
* or edit this file and configure the parameters for your site and
* database manually.
*/

/**
* -------------------------------------------------------------------------
* Set installation status
* -------------------------------------------------------------------------
*/
define('CONTEXX_INSTALLED', true);

/**
* -------------------------------------------------------------------------
* Database configuration section
* -------------------------------------------------------------------------
*/
\$_DBCONFIG['host'] = '{$_DBCONFIG['host']}'; // This is normally set to localhost
\$_DBCONFIG['database'] = '{$_DBCONFIG['database']}'; // Database name
\$_DBCONFIG['tablePrefix'] = '{$_DBCONFIG['tablePrefix']}'; // Database table prefix
\$_DBCONFIG['user'] = '{$_DBCONFIG['user']}'; // Database username
\$_DBCONFIG['password'] = '{$_DBCONFIG['password']}'; // Database password
\$_DBCONFIG['dbType'] = '{$_DBCONFIG['dbType']}';	// Database type (e.g. mysql,postgres ..)
\$_DBCONFIG['charset'] = '{$dbCharset}'; // Charset (default, latin1, utf8, ..)

/**
* -------------------------------------------------------------------------
* Site path specific configuration
* -------------------------------------------------------------------------
*/
\$_PATHCONFIG['ascms_root'] = '{$_PATHCONFIG['ascms_root']}';
\$_PATHCONFIG['ascms_root_offset'] = '{$_PATHCONFIG['ascms_root_offset']}'; // example: '/cms';

/**
* -------------------------------------------------------------------------
* Ftp specific configuration
* -------------------------------------------------------------------------
*/
\$_FTPCONFIG['is_activated'] = {$ftpStatus}; // Ftp support true or false
\$_FTPCONFIG['use_passive'] = {$ftpUsePassive};	// Use passive ftp mode
\$_FTPCONFIG['host']	= '{$_FTPCONFIG['host']}';// This is normally set to localhost
\$_FTPCONFIG['port'] = {$_FTPCONFIG['port']}; // Ftp remote port
\$_FTPCONFIG['username'] = '{$_FTPCONFIG['username']}'; // Ftp login username
\$_FTPCONFIG['password']	= '{$_FTPCONFIG['password']}'; // Ftp login password
\$_FTPCONFIG['path']	= '{$_FTPCONFIG['path']}'; // Ftp path to cms

/**
* -------------------------------------------------------------------------
* Optional customizing exceptions
* Shopnavbar : If set to TRUE the shopnavbar will appears on each page
* -------------------------------------------------------------------------
*/
\$_CONFIGURATION['custom']['shopnavbar'] = {$shopnavbar}; // true|false
\$_CONFIGURATION['custom']['shopJsCart'] = {$shopJsCart}; // true|false

/**
* Set character encoding
*/
\$_CONFIG['coreCharacterEncoding'] = '{$charset}'; // example 'UTF-8'
@header('content-type: text/html; charset='.\$_CONFIG['coreCharacterEncoding']);

/**
* -------------------------------------------------------------------------
* Set constants
* -------------------------------------------------------------------------
*/
require_once dirname(__FILE__).'/set_constants.php';
?>
CONFIG_TPL
;

	// write settings
	if (!@include_once(ASCMS_FRAMEWORK_PATH.'/File.class.php')) {
		setUpdateMsg(sprintf($_CORELANG['TXT_UPDATE_API_LOAD_FAILED'], ASCMS_FRAMEWORK_PATH.'/File.class.php'));
		return false;
	}

	$objFile =& new File();
	$status = true;

	if (!is_writable(ASCMS_DOCUMENT_ROOT.'/config/')) {
		$objFile->setChmod(ASCMS_DOCUMENT_ROOT.'/config', ASCMS_PATH_OFFSET.'/config', '/');
	}
	if (!is_writable(ASCMS_DOCUMENT_ROOT.'/config/configuration.php')) {
		$objFile->setChmod(ASCMS_DOCUMENT_ROOT.'/config', ASCMS_PATH_OFFSET.'/config', '/configuration.php');
	}
	if (is_writable(ASCMS_DOCUMENT_ROOT.'/config/configuration.php')) {
		$handleFile = @fopen(ASCMS_DOCUMENT_ROOT.'/config/configuration.php','w+');
		if (!$handleFile) {
			setUpdateMsg(sprintf($_ARRAYLANG['TXT_UNABLE_WRITE_SETTINGS_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php'));
			setUpdateMsg(sprintf($_ARRAYLANG['TXT_SET_WRITE_PERMISSON_TO_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php', $_CORELANG['TXT_UPDATE_TRY_AGAIN']), 'msg');
			return false;
		}

		@flock($handleFile, LOCK_EX); //set semaphore
		if (!@fwrite($handleFile,$configurationTpl)) {
			setUpdateMsg(sprintf($_ARRAYLANG['TXT_UNABLE_WRITE_SETTINGS_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php'));
			setUpdateMsg(sprintf($_ARRAYLANG['TXT_SET_WRITE_PERMISSON_TO_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php', $_CORELANG['TXT_UPDATE_TRY_AGAIN']), 'msg');
			$status = false;
		}
		@flock($handleFile, LOCK_UN);
		@fclose($handleFile);

		return $status;
	} else {
		setUpdateMsg(sprintf($_ARRAYLANG['TXT_UNABLE_WRITE_SETTINGS_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php'));
		setUpdateMsg(sprintf($_ARRAYLANG['TXT_SET_WRITE_PERMISSON_TO_FILE'], ASCMS_DOCUMENT_ROOT.'/config/configuration.php', $_CORELANG['TXT_UPDATE_TRY_AGAIN']), 'msg');
		return false;
	}
}
?>
